
%define _target_cpu	i586

%define	cpm_l_version	1.0
%define	cpm_l_dirs	1

%define	summary	CP/M for Linux - libdsk
%define	copy	GPL
%define	name	cpm4l-libdsk
%define	version	1.1.4
%define	release	20050323

%if %{cpm_l_dirs}
%define	_sysmandir	%{_mandir}
%define	_sysinfodir	%{_infodir}
%define	_sysetcdir	%{_sysconfdir}

%if "%(echo $CPM4L)" == ""
%define	_prefix		/opt/cpm4l
%else
%define	_prefix		%(echo $CPM4L)
%endif

%define	_prefix		/opt/cpm4l
%define	_libdir		%{_prefix}/lib
%define	_libexecdir	%{_prefix}/libexec
%define	_datadir	%{_prefix}/share
%define	_sysconfdir	%{_prefix}/etc
%define	_localstatedir	%{_prefix}/var/lib
%define	_mandir		%{_prefix}/man
%define	_infodir	%{_prefix}/info
%define	_docdir		%{_prefix}/doc
%endif

Summary:	%{summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	%{copy}
Distribution:	LiPronix
Vendor:		Li-Pro.Net
Packager:	Stephan Linz <linz@li-pro.net>
URL:		http://www.li-pro.net/cpm4l
Group:		Development/CPM4L/Libraries
Icon:		cpm4l.xpm
ExclusiveOS:	linux
BuildRequires:	cpm4l-base >= 0.2
BuildRequires:	zlib-devel
BuildRequires:	bzip2-devel
BuildRequires:	sed
BuildRequires:	perl
BuildRequires:	lyx
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:	http://www.seasip.demon.co.uk/Unix/LibDsk/libdsk-%{version}.tar.gz
Source10:	cpm4l_libdskrc
Patch0:         libdsk-%{version}-build_fixes.patch.bz2

%description
CPM4L stands for CP/M for Linux and should you support with a comprehensive
tool suite of programs and utilities to access old CP/M discs, emulate
old CP/M software, and cross compile / assemble new CP/M software. The main
focuse will be at CP/M 2.2 for Z80 processors and some usage with Robotron
related material.

What's Robotron? Oh, I believe ther will be only few people who know it.
Robotron was the main computer company inside of the "good old" GdR.

Til now there are the following packages available:

   * see cpm4l-base package



LibDsk is a library intended to give transparent access to floppy drives and
to the "disc image files" used by emulators to represent floppy drives. It
currently supports the following disc image formats:

   * Raw "dd if=foo of=bar" images
   * CPCEMU-format .DSK images (normal and extended)
   * MYZ80-format hard drive images
   * CFI-format disc images, as produced by FDCOPY.COM under DOS and
     used to distribute some Amstrad system discs
   * ApriDisk-format disc images, used by the utility of the same name
     under DOS
   * NanoWasp-format disc images, used by the eponymous emulator
   * The floppy drive under Linux
   * The floppy drive under Windows (a complicated subject)
   * The floppy drive under DOS

LibDsk also supports compressed disc images in the following formats:

   * Squeeze (Huffman coded)
   * GZip (Deflate )
   * BZip2 (Burrows-Wheeler; support is read-only)



%package tools
Summary:	%{summary} -- tool set
Group:		Development/CPM4L/Libraries
Requires:	%{name} = %{version}

%description tools
This is the tools package for use with the libdsk part of CPM4L. Have
a look at:

   * cpm4l-libdsk-*

%package devel
Summary:	%{summary} -- development files
Group:		Development/CPM4L/Libraries
Requires:	%{name} = %{version}

%description devel
This is the developer package for the libdsk part of CPM4L. Have
a look at:

   * cpm4l-libdsk-*

%package doc
Summary:	%{summary} -- documentation
Group:		Development/CPM4L/doc
Requires:	%{name} = %{version}
Requires:	man
Prereq:		/usr/bin/man

%description doc
This is the documentation package for the libdsk part of CPM4L. Have
a look at:

   * cpm4l-libdsk-*

%prep
%setup -q -n libdsk-%{version}
%patch0 -p1

# CPM4L-zification for bug reports
perl -pi -e '/^#define/ and s/(LIBDSK_VERSION.*\"%{version}.*)\".*$/\1 \(CPM4L %{cpm_l_version} %{version}-%{release}\)\"/;' \
	include/libdsk.h
perl -pi -e 's/(^LibDsk.*%{version}.*$)/\1 \(CPM4L %{cpm_l_version} %{version}-%{release}\)/;' \
	doc/libdsk.lyx

%build
CFLAGS="${RPM_OPT_FLAGS}" CXXFLAGS="${RPM_OPT_FLAGS}"
%configure --disable-rpath
perl -pi -e "s,hardcode_libdir_flag_spec=.*,hardcode_libdir_flag_spec=\" -D__LIBTOOL_IS_A_FOOL__ \",g" libtool
%make all

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall
install -D -m 0644 %SOURCE10 $RPM_BUILD_ROOT%{_datadir}/LibDsk/libdskrc
for i in `file ${RPM_BUILD_ROOT}%{_bindir}/* | grep ELF | sed -e "s/:.*$//g"`; do \
  strip ${i}; done
gzip -q9f $RPM_BUILD_ROOT%{_mandir}/{man1,man5}/*
install -D -m 0644 ChangeLog $RPM_BUILD_ROOT%{_docdir}/libdsk-%{version}/ChangeLog
install -D -m 0644 TODO $RPM_BUILD_ROOT%{_docdir}/libdsk-%{version}/NEXTSTEP
cd doc && for i in COPYING INSTALL README TODO libdsk.* *.html; do \
  install -D -m 0644 $i $RPM_BUILD_ROOT%{_docdir}/libdsk-%{version}/$i; done

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_libdir}/libdsk.so.*
%config(noreplace) %{_datadir}/LibDsk/libdskrc

%files tools
%defattr(-,root,root)
%{_bindir}

%files devel
%defattr(-,root,root)
%{_libdir}/libdsk.a
%{_libdir}/libdsk.so
%{_includedir}/libdsk.h
%exclude %{_libdir}/libdsk.la

%files doc
%defattr(-,root,root)
%doc %{_mandir}/man1/*
%doc %{_mandir}/man5/*
%dir %{_docdir}/libdsk-%{version}
%doc %{_docdir}/libdsk-%{version}/*

%changelog
* Wed Mar 23 2005 Stephan Linz <linz@li-pro.net> 1.1.4-20050323
- upgrade to version 1.1.4

* Wed Mar 23 2005 Stephan Linz <linz@li-pro.net> 1.1.3-20050323
- initial version
